package cn.com.countrygarden.bi.main.dto.mediaResource;

import lombok.Getter;
import lombok.Setter;

import java.util.Date;
@Setter
@Getter
public class MediaOrderRunDto{
    private String orderRunId; //` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '执行单id',
    private String orderId; //` bigint(20) NOT NULL COMMENT '订单id(媒体资源订单id)',
    private String orderRunCode; //` varchar(36) DEFAULT NULL COMMENT '执行单编号(规则详见文档)',
    private String remark; //` varchar(250) DEFAULT NULL COMMENT '备注',
    private Integer sort; //` int(11) NOT NULL COMMENT '序号（从0开始）',
    private Integer version; //` int(11) NOT NULL COMMENT '版本号（从0开始,每次加1）',
    private Integer isDelete; //` int(11) NOT NULL COMMENT '作废标记(1删除0非删除)',
    private Date createTime; //` datetime NOT NULL COMMENT '录入时间(insert时间，JAVA代码插入)',
    private String createBy; //` varchar(20) NOT NULL COMMENT '录入人员代码(Tb_Sys_User.UserCode，session获取JAVA插入)',
    private String createByName; //` varchar(20) NOT NULL COMMENT '录入人员名称(update, session获取用户名称)',
    private Date modTime; //` datetime DEFAULT NULL COMMENT '修改时间（update时间，JAVA代码插入）',
    private String modBy; //` varchar(20) DEFAULT NULL COMMENT '修改人员代码（update，Tb_Sys_User.UserCode，session获取JAVA插入）',
    private String modByName; //` varchar(20) DEFAULT NULL COMMENT '修改人员名称(update, session获取用户名称,JAVA代码插入)',
    private String orderCode;
}
